### YamlMime:ManagedReference
items:
- uid: Voile.ResourceRef`1
  commentId: T:Voile.ResourceRef`1
  id: ResourceRef`1
  parent: Voile
  children:
  - Voile.ResourceRef`1.#ctor(System.Guid)
  - Voile.ResourceRef`1.Guid
  - Voile.ResourceRef`1.HasValue
  - Voile.ResourceRef`1.Value
  langs:
  - csharp
  - vb
  name: ResourceRef<T>
  nameWithType: ResourceRef<T>
  fullName: Voile.ResourceRef<T>
  type: Class
  source:
    remote:
      path: Voile/Source/Resources/Resource.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ResourceRef
    path: Source/Resources/Resource.cs
    startLine: 8
  assemblies:
  - Voile
  namespace: Voile
  summary: Wraps a reference to an asset of a given type.
  example: []
  syntax:
    content: 'public sealed class ResourceRef<T> where T : Resource'
    typeParameters:
    - id: T
      description: ''
    content.vb: Public NotInheritable Class ResourceRef(Of T As Resource)
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  nameWithType.vb: ResourceRef(Of T)
  fullName.vb: Voile.ResourceRef(Of T)
  name.vb: ResourceRef(Of T)
- uid: Voile.ResourceRef`1.Guid
  commentId: F:Voile.ResourceRef`1.Guid
  id: Guid
  parent: Voile.ResourceRef`1
  langs:
  - csharp
  - vb
  name: Guid
  nameWithType: ResourceRef<T>.Guid
  fullName: Voile.ResourceRef<T>.Guid
  type: Field
  source:
    remote:
      path: Voile/Source/Resources/Resource.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Guid
    path: Source/Resources/Resource.cs
    startLine: 13
  assemblies:
  - Voile
  namespace: Voile
  summary: Resource GUID this ResourceRef maps to.
  example: []
  syntax:
    content: public readonly Guid Guid
    return:
      type: System.Guid
    content.vb: Public ReadOnly Guid As Guid
  nameWithType.vb: ResourceRef(Of T).Guid
  fullName.vb: Voile.ResourceRef(Of T).Guid
- uid: Voile.ResourceRef`1.HasValue
  commentId: P:Voile.ResourceRef`1.HasValue
  id: HasValue
  parent: Voile.ResourceRef`1
  langs:
  - csharp
  - vb
  name: HasValue
  nameWithType: ResourceRef<T>.HasValue
  fullName: Voile.ResourceRef<T>.HasValue
  type: Property
  source:
    remote:
      path: Voile/Source/Resources/Resource.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: HasValue
    path: Source/Resources/Resource.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public bool HasValue { get; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public ReadOnly Property HasValue As Boolean
  overload: Voile.ResourceRef`1.HasValue*
  nameWithType.vb: ResourceRef(Of T).HasValue
  fullName.vb: Voile.ResourceRef(Of T).HasValue
- uid: Voile.ResourceRef`1.Value
  commentId: P:Voile.ResourceRef`1.Value
  id: Value
  parent: Voile.ResourceRef`1
  langs:
  - csharp
  - vb
  name: Value
  nameWithType: ResourceRef<T>.Value
  fullName: Voile.ResourceRef<T>.Value
  type: Property
  source:
    remote:
      path: Voile/Source/Resources/Resource.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Value
    path: Source/Resources/Resource.cs
    startLine: 18
  assemblies:
  - Voile
  namespace: Voile
  summary: Retrieve a reference.
  example: []
  syntax:
    content: public T Value { get; }
    parameters: []
    return:
      type: '{T}'
    content.vb: Public ReadOnly Property Value As T
  overload: Voile.ResourceRef`1.Value*
  nameWithType.vb: ResourceRef(Of T).Value
  fullName.vb: Voile.ResourceRef(Of T).Value
- uid: Voile.ResourceRef`1.#ctor(System.Guid)
  commentId: M:Voile.ResourceRef`1.#ctor(System.Guid)
  id: '#ctor(System.Guid)'
  parent: Voile.ResourceRef`1
  langs:
  - csharp
  - vb
  name: ResourceRef(Guid)
  nameWithType: ResourceRef<T>.ResourceRef(Guid)
  fullName: Voile.ResourceRef<T>.ResourceRef(System.Guid)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Resources/Resource.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Resources/Resource.cs
    startLine: 20
  assemblies:
  - Voile
  namespace: Voile
  syntax:
    content: public ResourceRef(Guid guid)
    parameters:
    - id: guid
      type: System.Guid
    content.vb: Public Sub New(guid As Guid)
  overload: Voile.ResourceRef`1.#ctor*
  nameWithType.vb: ResourceRef(Of T).New(Guid)
  fullName.vb: Voile.ResourceRef(Of T).New(System.Guid)
  name.vb: New(Guid)
references:
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: System.Guid
  commentId: T:System.Guid
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.guid
  name: Guid
  nameWithType: Guid
  fullName: System.Guid
- uid: Voile.ResourceRef`1.HasValue*
  commentId: Overload:Voile.ResourceRef`1.HasValue
  href: Voile.ResourceRef-1.html#Voile_ResourceRef_1_HasValue
  name: HasValue
  nameWithType: ResourceRef<T>.HasValue
  fullName: Voile.ResourceRef<T>.HasValue
  nameWithType.vb: ResourceRef(Of T).HasValue
  fullName.vb: Voile.ResourceRef(Of T).HasValue
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: Voile.ResourceRef`1.Value*
  commentId: Overload:Voile.ResourceRef`1.Value
  href: Voile.ResourceRef-1.html#Voile_ResourceRef_1_Value
  name: Value
  nameWithType: ResourceRef<T>.Value
  fullName: Voile.ResourceRef<T>.Value
  nameWithType.vb: ResourceRef(Of T).Value
  fullName.vb: Voile.ResourceRef(Of T).Value
- uid: '{T}'
  commentId: '!:T'
  definition: T
  name: T
  nameWithType: T
  fullName: T
- uid: T
  name: T
  nameWithType: T
  fullName: T
- uid: Voile.ResourceRef`1.#ctor*
  commentId: Overload:Voile.ResourceRef`1.#ctor
  href: Voile.ResourceRef-1.html#Voile_ResourceRef_1__ctor_System_Guid_
  name: ResourceRef
  nameWithType: ResourceRef<T>.ResourceRef
  fullName: Voile.ResourceRef<T>.ResourceRef
  nameWithType.vb: ResourceRef(Of T).New
  fullName.vb: Voile.ResourceRef(Of T).New
  name.vb: New
